<ion-split-pane>

  <!-- logged out menu -->
  <ion-menu id="loggedOutMenu" [content]="content">

    <ion-header>
      <ion-toolbar>
        <ion-title>MyTaxGuide</ion-title>
      </ion-toolbar>
    </ion-header>

    <ion-content class="outer-content list-menu">

      <ion-list style="margin: 0;padding: 0">
        <div *ngFor="let p of appPages">
          <button *ngIf="p.icon == ''" class="menu"
            [name]="p.icon"
            [color]="isActive(p)"
            ion-item menuClose
            (click)="openPage(p)">
            <span class="main-menu">{{p.title}}</span>
          </button>

          <button *ngIf="p.icon == 11" class="menu"
            [name]="p.icon"
            [color]="isActive(p)"
            ion-item
            (click)="openPage(p)">
            <span class="main-menu">{{p.title}}</span>
            <ion-icon style="float: right" *ngIf="!childMenu1"  md="ios-arrow-forward"></ion-icon>
            <ion-icon style="float: right" *ngIf="childMenu1" md="ios-arrow-down"></ion-icon>
          </button>

          <button *ngIf="p.icon == 12" class="menu"
                  [name]="p.icon"
                  [color]="isActive(p)"
                  ion-item
                  (click)="openPage(p)">
            <span class="main-menu">{{p.title}}</span>
            <ion-icon style="float: right" *ngIf="!childMenu2"  md="ios-arrow-forward"></ion-icon>
            <ion-icon style="float: right" *ngIf="childMenu2"  md="ios-arrow-down"></ion-icon>
          </button>

          <button *ngIf="p.icon == 1" [hidden]="childMenu1 == 0" class="menu-child"
            [name]="p.icon"
            [color]="isActive(p)"
            ion-item menuClose
            (click)="openPage(p)">
            <span class="sub-menu"> {{p.title}}</span>
          </button>

          <button *ngIf="p.icon == 2" [hidden]="childMenu2 == 0" class="menu-child"
            [name]="p.icon"
            [color]="isActive(p)"
            ion-item menuClose
            (click)="openPage(p)">
            <span class="sub-menu"> {{p.title}}</span>
          </button>

        </div>
      </ion-list>

    </ion-content>

  </ion-menu>

  <!-- logged in menu -->
  <ion-menu id="loggedInMenu" [content]="content">

    <ion-header>
      <ion-toolbar>
        <ion-title>Menu</ion-title>
      </ion-toolbar>
    </ion-header>

    <ion-content class="outer-content">

      <ion-list>
        <ion-list-header>
          Navigate
        </ion-list-header>
        <button ion-item menuClose *ngFor="let p of appPages" (click)="openPage(p)">
          <ion-icon item-start [name]="p.icon" [color]="isActive(p)"></ion-icon>
          {{p.title}}
        </button>
      </ion-list>

      <ion-list>
        <ion-list-header>
          Account
        </ion-list-header>
        <button ion-item menuClose *ngFor="let p of loggedInPages" (click)="openPage(p)">
          <ion-icon item-start [name]="p.icon" [color]="isActive(p)"></ion-icon>
          {{p.title}}
        </button>
      </ion-list>

      <ion-list>
        <ion-list-header>
          Tutorial
        </ion-list-header>
        <button ion-item menuClose (click)="openTutorial()">
          <ion-icon item-start name="hammer"></ion-icon>
          Show Tutorial
        </button>
      </ion-list>

    </ion-content>

  </ion-menu>

  <!-- main navigation -->
  <ion-nav [root]="rootPage" #content swipeBackEnabled="false" main name="app"></ion-nav>

</ion-split-pane>
